Subject: Re: bug#40317: 27.0.90; Reverting a buffer that visits C file signals an error

From: Damien Cassou <[email-masked]>
Date: Thu, 29 Oct 2020 15:19:51 +0100

Alan Mackenzie <[email-masked]> writes:
> On Wed, Sep 16, 2020 at 16:51:42 +0200, Damien Cassou wrote:
>> Eli Zaretskii <[email-masked]> writes:
>> > Does that happen with _any_ C# file?  If not, can you post an example
>> > of a file where this happens, and a recipe to reproduce the problem?
>
>> I don't know how to reproduce, it is infrequent and seems random.
>
> What do you mean by "infrequent"?  Once a month, once a week, once a
> day, several times a day?

This didn't happen for some weeks and happened twice today:

  Warning (emacs): c-new-END is too big! 1217 > 729
  Warning (emacs): c-new-END is too big! 2331 > 1902

> Does it happen frequently enough that you
> would notice if it stopped happening?  If so ....

It would take me a while to realize.

> csharp-mode has an inappropriate use of syntax-propertize-function,
> which might be damaging things.

I don't know if your comment is still relevant because csharp-mode
changed a lot recently. I'm on latest master (commit
fb1f7d57675df8c38bbf9cc3c99e0059c8b16d7f).

> Could you please disable this with code
> like the following in your .emacs (Note: this involves a minor loss of
> functionality):

do you still recommend it?

Best

-- 
Damien Cassou

"Success is the ability to go from one failure to another without
losing enthusiasm." --Winston Churchill